export declare type BufferGroup = {
    startIndex: number;
    count: number;
};
export declare class BufferAttribute {
    data: Float32Array;
    recordSize: number;
    constructor(data: Float32Array, recordSize: number);
    get count(): number;
}
/**
 * minimal BufferGeometry class to provide an API similar to THREE
 */
export declare class BufferGeometry {
    attributes: Record<string, BufferAttribute>;
    count: number;
    index: number[] | null;
    indexType: 0 | 16 | 32;
    groups: BufferGroup[];
    setIndex(indices: ArrayLike<number>, bits?: 16 | 32): BufferGeometry;
    setAttribute(attributeName: string, bufferAttribute: BufferAttribute): BufferGeometry;
    removeAttribute(attributeName: string): BufferGeometry;
    dispose(): void;
}
