import { Matrix } from './matrix';
/**
 * create translation matrix
 * @param x translation in x-direction
 * @param y translation in y-direction
 * @returns 3x3 translation matrix
 */
export declare function translation(x: number, y: number): Matrix;
/**
 * create scaling matrix
 * @param sx scale X factor
 * @param sy scale Y factor
 * @param sz scale Z factor
 * @returns 3x3 scale matrix
 */
export declare function scaling(sx: number, sy: number, sz: number): Matrix;
/**
 * create X-rotation matrix
 * @param angle rotation in radians
 */
export declare function rotX(angle: number): Matrix;
/**
 * create Y-rotation matrix
 * @param angle angle in radians
 */
export declare function rotY(angle: number): Matrix;
/**
 * create Z-rotation matrix
 * @param angle angle in radians
 */
export declare function rotZ(angle: number): Matrix;
