import { Matrix } from './matrix';
import { Vector } from './vector';
/**
 * create 4x4 identity matrix
 */
export declare function identity(): Matrix;
/**
 * create translation matrix
 * @param x translation in X direction
 * @param y translation in Y direction
 * @param z translation in Z direction
 */
export declare function translation(x: number, y: number, z: number): Matrix;
/**
 * create scaling matrix
 * @param sx X-scale factor
 * @param sy Y-scale factor
 * @param sz Z-scale factor
 */
export declare function scaling(sx: number, sy: number, sz: number): Matrix;
/**
 * create x-rotation matrix
 * @param angle angle in radians
 */
export declare function rotX(angle: number): Matrix;
/**
 * create y-rotation matrix
 * @param angle angle in radians
 */
export declare function rotY(angle: number): Matrix;
/**
 * create z-rotation matrix
 * @param angle angle in radians
 */
export declare function rotZ(angle: number): Matrix;
/***
 * Create a lookup matrix
 */
export declare function lookAt(position: Vector, target: Vector, up: Vector): Matrix;
