import { Texture } from '.';
import { Vector, Matrix, Color } from '../utils';
export declare type Uniform = number | number[] | number[][] | bigint | bigint[] | Texture | Vector | Matrix | Color;
export declare type Uniforms = Record<string, Uniform>;
export declare type Material = {
    vertexShader: string;
    fragmentShader: string;
    drawMode: number;
    uniforms: Uniforms;
};
export declare function createDefaultMaterial(): Material;
export declare function createNormalMaterial(): Material;
export declare function createBasicMaterial(color?: string): Material;
export declare function createShaderMaterial(vertexShader?: string, fragmentShader?: string, uniforms?: Record<string, Uniform>, drawMode?: number): Material;
