export declare const Wrapping: Record<string, number>;
export declare const Filter: Record<string, number>;
export declare type TextureData = HTMLImageElement | HTMLVideoElement | HTMLCanvasElement | ImageData;
export declare type TextureOptions = {
    minFilter?: number;
    magFilter?: number;
    wrapS?: number;
    wrapT?: number;
    textureIndex?: number;
};
export declare class Texture {
    minFilter: number;
    magFilter: number;
    wrapS: number;
    wrapT: number;
    image: TextureData;
    textureIndex: number;
    gl: WebGLRenderingContext | null;
    texture: WebGLTexture | null;
    constructor(image: TextureData, options?: TextureOptions);
    static fromImageUrl(url: string, options?: TextureOptions): Promise<Texture>;
    upload(gl: WebGLRenderingContext, textureIndex?: number): Texture;
    /**
     * re-upload texture via texSubImage2D
     */
    update(): Texture;
    /**
     * dispose Texture
     */
    dispose(): void;
}
